<template>
  <a v-if='href!=""' class='centered' :href='href' target='_blank'>
    <ButtonInner :active='active'>
      <slot></slot>
    </ButtonInner>
  </a>
  <router-link v-else class='centered' :to="to" tag="div">
    <ButtonInner :active='active'>
      <slot></slot>
    </ButtonInner>
  </router-link>
</template>

<script>
import ButtonInner from '@/components/input/ButtonInner'
export default {
  components: {
    ButtonInner,
  },
  props: {
    href: String,
    to: Object,
    active: Boolean
  },
}
</script>

<style scoped lang="scss">
a {
  text-decoration: none;
}
.centered {
  display: flex;
  justify-content: center;
}
</style>
